*cd c:\users\ash\dropbox\riksveg\replication

****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
**** for each year in the sample ... 
forvalues year=1953(4)2013 {
use dta\hometowndata.dta, clear
cd C:\Users\zruan\Documents\qjps_19147_supp\sampling\

replace knr=hometownID
keep year knr cnr pop
keep if year==`year'
expand pop

	**** for each county in that year ... 
	foreach c in 1 2 4 5 6 7 8 9 10 11 12 14 15 16 17 18 19 20 { 

				*** sampling 10 individuals from county at random, hundred times *** 
				forvalues i=1(1)100 {
				preserve
				keep if cnr==`c'
				set seed `i'
				sample 5, count
				tab knr
				gen samplenumber=`i'
				collapse samplenumber, by(cnr knr)
				save sample`c'_`i'.dta, replace
				restore
				}

	}

	use empty.dta, clear
	foreach c in 1 2 4 5 6 7 8 9 10 11 12 14 15 16 17 18 19 20 { 
				forvalues i=1(1)100 {
				append using sample`c'_`i'.dta
				}
	}

**** collapse sum of municipalities to sample-county-year
gen municipalities=1
collapse (sum) municipalities, by(cnr samplenumber)
*bysort cnr: sum municipalities
gen year=`year'
save sampling`year'.dta, replace 
cd C:\Users\zruan\Documents\qjps_19147_supp\
}

****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************
cd C:\Users\zruan\Documents\qjps_19147_supp\sampling\

*** each samplingXXXX now has 100 random samples for each county
use sampling1953.dta, clear
forvalues year=1957(4)2013 {
append using sampling`year'.dta
**** collapse average number of municipalities to county-year
collapse municipalities, by(cnr year)
}
cd C:\Users\zruan\Documents\qjps_19147_supp\

save sampling_top5.dta, replace
****************************************************************************************************************************
****************************************************************************************************************************
****************************************************************************************************************************

*tw (scatter mun year if cnr==16, connect(l)) (scatter mun year if cnr==18, connect(l)), scheme(s1mono) ytitle(Municipalities in Top 5) legend(label (1 "Sør-Trøndelag") label(2 "Nordland")) xlabel(1953(8)2013)
